Saltar al contenido principal
GET
/
v1
/
contexts
/
{contextId}
/
rules
/
{ruleId}
Get a match rule
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/rules/{ruleId} \
  --header 'Authorization: Bearer <token>'
{
  "config": {},
  "contextId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "id": "019c96a0-1071-7a0d-9916-a831221de252",
  "priority": 1,
  "type": "EXACT",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

contextId
string
requerido

The unique identifier of the reconciliation context.

ruleId
string
requerido

The unique identifier of the match rule.

Respuesta

Successfully retrieved match rule

Matching rule within a reconciliation context

config
object

Rule configuration

contextId
string

Context ID this rule belongs to

Ejemplo:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

createdAt
string

Creation timestamp in RFC3339 format

Ejemplo:

"2025-01-15T10:30:00.000Z"

id
string

Unique identifier for the rule

Ejemplo:

"019c96a0-1071-7a0d-9916-a831221de252"

priority
integer

Execution priority (lower = higher priority)

Rango requerido: 1 <= x <= 1000
Ejemplo:

1

type
enum<string>

Type of matching rule

Opciones disponibles:
EXACT,
TOLERANCE,
DATE_LAG
Ejemplo:

"EXACT"

updatedAt
string

Last update timestamp in RFC3339 format

Ejemplo:

"2025-01-15T10:30:00.000Z"